/* Deshabilita la selecció de text per a tota la pàgina */
body {
    -webkit-user-select: none; /* Chrome, Safari, Opera */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Estàndard */
}





* {
    box-sizing: border-box;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 0;
    font-family: "Poppins", sans-serif;   
    /*color: #424953;*/
    color: #242424;
    background-color: #F3EEE6 ;
}

.wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
    width: 100%;
    padding: 10px;
    text-align: center;
    max-width: 1000px;
}

.logo {
    max-width: 300px;
    margin: 40px;
}

h1 {
    width: 100%;
    margin-bottom: 40px;
    font-size: 1.8em;
    font-weight: 600;
    line-height: 48px;
    color: #000000;
    letter-spacing: 0.05em;
}

.container {
    display: flex;
    flex-direction: column;
    flex: 1;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin-bottom: 10px;
}

.button {
    padding: 15px 25px;
    margin: 20px;
    border-radius: 50px;    
    /*color: #424953;*/
    color: #242424;
    font-size: 1.1em;
    text-decoration: none;
    font-weight: 600;
    background-color: #FFC74A;
    transition: all 0.5s;
}

.button:hover {
    background-color: #FFD766;
    color: #000000;
}











footer {
    position: fixed;
    bottom: 0;
    left: 0;
    padding: 10px 0;
    text-align: center;
    width: 100%;
    background-color: #FFC74A;
    z-index: 1000;
    transition: height 0.5s ease; /* Permet transició suau en l'alçada */
    height: auto; /* Permet que el footer creixi en funció del contingut */
    min-height: 50px; /* Assegura una alçada mínima */
}

.social-links {
    opacity: 0;
    height: 0; /* Inicialment les icones estan ocultes */
    overflow: hidden; /* Oculta contingut que sobrepassi l'alçada */
    transition: opacity 0.5s ease, height 0.5s ease; /* Permet transició d'opacitat i alçada */
}

.social-links.show {
    opacity: 1;
    height: auto; /* Ajusta l'alçada a les icones quan es mostrin */
}

.footer-link {
    font-size: 1em;
    /*color: #424953;*/
    color: #242424;
    text-decoration: none;
    font-weight: 500;
}

.footer-link:hover {
    color: #000000;
}

.footer-content {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 5px;
}

footer .social-links a {
    /*color: #424953;*/
    color: #242424;
    text-decoration: none;
    margin: 0 10px;
    font-size: 1.2em;
    transition: color 0.3s;
}

footer .social-links a:hover {
    color: #000000;
}












